Get an integration
GET/v1/integration/:identifier
This route allows you to fetch a specific integration in your Port organization.
To learn more about integrations, check out the documentation.
Permission requirements
To use this endpoint, you must have a moderator or admin role in your Port organization.
To learn more about the different roles and permissions, please refer to the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string",
"default": "installationId",
"enum": [
"installationId",
"logIngestId"
]
},
"in": "query",
"name": "byField",
"required": false,
"description": "The field used to identify the integration. When set to `logIngestId`, the `identifier` parameter should be changed accordingly."
},
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "isPolling",
"required": false,
"description": "Whether to return the integration in polling mode."
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "oceanCoreVersion",
"required": false,
"description": "The version of the core to use."
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "identifier",
"required": true,
"description": "The unique identifier of the resource you want to operate on."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 401
- 404
Default Response
A resource with the provided identifier was not found
Responses (JSON)
{
"responses": {
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
}
}
}